package be.authtest.vaadin.entity;

import java.io.Serializable;
import java.util.Date;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;


@Entity
@Table(name="lbs_player")
public class LBSPlayer implements Serializable {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	@Id
	@GeneratedValue
	private long id;
	// private String title;
	private String firstName;
	private String lastName;
	private String birthDate;
	private String gender;
	private String email;
	private String phone;
	private String cellPhone;
	private String country;
	private String address;
	private String zipCode;
	private String city;
	private String nationality;
	private String occupation;
	private String personalId;
	private String cityOfBirth;
	private String username;
	// implicitly sent
	private String venue;
	private String language;
	// player's picture name (should be like personalId.jpg)
	private String picture;
	// metadata
	private int status = 2;
	private Date created;
	private Date modified;
	private boolean hasImsAccount = false;
	@Transient
	private String transactionCode;

	public LBSPlayer() {
		
	}
	
	public LBSPlayer(String personalId) {
		this.personalId = personalId;
	}

	public long getId() {
		return this.id;
	}
	public void setId(long id) {
		this.id = id;
	}
	public String getPersonalId() {
		return this.personalId;
	}
	public void setPersonalId(String personalId) {
		this.personalId = personalId;
	}
	public String getLastName() {
		return this.lastName;
	}
	public void setLastName(String lastName) {
		this.lastName = lastName;
	}
	public String getFirstName() {
		return this.firstName;
	}
	public void setFirstName(String firstName) {
		this.firstName = firstName;
	}
	public String getNationality() {
		return this.nationality;
	}
	public void setNationality(String nationality) {
		this.nationality = nationality;
	}
	public String getCityOfBirth() {
		return this.cityOfBirth;
	}
	public void setCityOfBirth(String cityOfBirth) {
		this.cityOfBirth = cityOfBirth;
	}
	public String getBirthDate() {
		return this.birthDate;
	}
	public String getGender() {
		return this.gender;
	}
	public void setGender(String gender) {
		this.gender = gender;
	}
	public void setBirthDate(String birthDate) {
		this.birthDate = birthDate;
	}
	public String getAddress() {
		return this.address;
	}
	public void setAddress(String address) {
		this.address = address;
	}
	public String getZipCode() {
		return this.zipCode;
	}
	public void setZipCode(String zipCode) {
		this.zipCode = zipCode;
	}
	public String getCity() {
		return this.city;
	}
	public void setCity(String city) {
		this.city = city;
	}
	public String getVenue() {
		return this.venue;
	}
	public void setVenue(String venue) {
		this.venue = venue;
	}
	public String getUsername() {
		return this.username;
	}
	public void setUsername(String username) {
		this.username = username;
	}
	public String getEmail() {
		return this.email;
	}
	public void setEmail(String email) {
		this.email = email;
	}
	public String getPhone() {
		return this.phone;
	}
	public void setPhone(String phone) {
		this.phone = phone;
	}
	public String getCellPhone() {
		return this.cellPhone;
	}
	public void setCellPhone(String cellPhone) {
		this.cellPhone = cellPhone;
	}
	public String getCountry() {
		return this.country;
	}
	public void setCountry(String country) {
		this.country = country;
	}
	public String getLanguage() {
		return this.language;
	}
	public void setLanguage(String language) {
		this.language = language;
	}
	public String getPicture() {
		return this.picture;
	}
	public void setPicture(String picture) {
		this.picture = picture;
	}
	///////////// metadata /////////////////////
	public int getStatus() {
		return this.status;
	}
	public void setStatus(int status) {
		this.status = status;
	}
	public Date getCreated() {
		return this.created;
	}
	public void setCreated(Date created) {
		this.created = created;
	}
	public Date getModified() {
		return this.modified;
	}
	public void setModified(Date modified) {
		this.modified = modified;
	}
	public String getOccupation() {
		return this.occupation;
	}
	public void setOccupation(String occupation) {
		this.occupation = occupation;
	}
	public boolean isHasImsAccount() {
		return this.hasImsAccount;
	}
	public void setHasImsAccount(boolean hasImsAccount) {
		this.hasImsAccount = hasImsAccount;
	}

	@Override
	public String toString() {
		return this.personalId + ":" + this.email + ":" + this.phone + ":" + this.cellPhone + ":" + this.address + ":" + this.zipCode + ":" + this.city + ":" + this.status;
	}

	public String getTransactionCode() {
		return this.transactionCode;
	}

	public void setTransactionCode(String transactionCode) {
		this.transactionCode = transactionCode;
	}

}
