package be.authtest.vaadin.ui;


import javax.inject.Inject;

import com.vaadin.annotations.Theme;
import com.vaadin.annotations.Widgetset;
import com.vaadin.cdi.CDIUI;
import com.vaadin.cdi.access.JaasAccessControl;
import com.vaadin.server.VaadinRequest;
import com.vaadin.v7.ui.Grid;
import com.vaadin.v7.ui.Label;
import com.vaadin.ui.Button;
import com.vaadin.ui.Notification;
import com.vaadin.ui.TabSheet;
import com.vaadin.v7.ui.TextField;
import com.vaadin.ui.UI;
import com.vaadin.v7.ui.VerticalLayout;

import be.authtest.vaadin.ejb.AuthService;

@Theme("valo")
@CDIUI("dashboard")
@SuppressWarnings("serial")
@Widgetset("com.vaadin.v7.Vaadin7WidgetSet")
public class Dashboard extends UI {

	Grid grid1;
	
	@Override
	protected void init(VaadinRequest request) {
		final VerticalLayout container = new VerticalLayout();
		container.setSpacing(true);
		container.setMargin(true);
		Label header = new Label("LBS Dashboard");
		container.addComponent(header);
		
		TabSheet tabSheet = new TabSheet();
		
		final VerticalLayout tab1 = new VerticalLayout();
		final VerticalLayout tab2 = new VerticalLayout();

		createGrid();
		tab1.addComponent(this.grid1);
		
		Grid grid2 = new Grid();
		grid2.setColumns("birthDate", "hasImsAccount", "status", "created");
		tab2.addComponent(grid2);
		TextField t = new TextField();
		t.setInputPrompt("Personal ID");
		tab2.addComponent(t);

		tabSheet.addTab(tab1, "Players");
		tabSheet.addTab(tab2, "Bets");
		
		container.addComponent(tabSheet);
		setContent(container);
		
		Button b = new Button("Who Am I ?");
		
		b.addClickListener(e->{
			Notification.show(JaasAccessControl.getCurrentRequest().getRemoteUser());
		});
		container.addComponent(b);
	}


	private void createGrid() {
		this.grid1 = new Grid();
		this.grid1.setColumns("personalId", "username", "venue", "firstName", "lastName", "birthDate", "hasImsAccount", "status", "created");
	}

}
