package be.authtest.vaadin.ui;

import javax.servlet.ServletException;

import com.vaadin.annotations.Theme;
import com.vaadin.annotations.Widgetset;
import com.vaadin.cdi.CDIUI;
import com.vaadin.cdi.access.JaasAccessControl;
import com.vaadin.server.Page;
import com.vaadin.server.VaadinRequest;
import com.vaadin.ui.Button;
import com.vaadin.ui.Button.ClickEvent;
import com.vaadin.ui.Panel;
import com.vaadin.v7.ui.PasswordField;
import com.vaadin.v7.ui.TextField;
import com.vaadin.ui.UI;
import com.vaadin.v7.ui.VerticalLayout;

/**
 * @author LDK
 *
 */
@Theme("valo")
@CDIUI("login")
@SuppressWarnings("serial")
@Widgetset("com.vaadin.v7.Vaadin7WidgetSet")
public class LoginUI extends UI {

	@Override
	protected void init(VaadinRequest request) {
		final Panel loginPanel = new Panel("login");
		final VerticalLayout layout = new VerticalLayout();
		layout.setSizeUndefined();
		layout.setMargin(true);
		loginPanel.setContent(layout);
		loginPanel.setSizeUndefined();

		TextField username = new TextField();
		username.setInputPrompt("Username");
		PasswordField password = new PasswordField();
		password.setInputPrompt("Password");

		Button login = new Button("login");
		login.addClickListener(new Button.ClickListener() {
			@Override
			public void buttonClick(ClickEvent event) {
				try {
					JaasAccessControl.login(username.getValue(), password.getValue());
					Page page = Page.getCurrent();
					page.setLocation(page.getLocation());
				} catch (ServletException e) {
					Page page = Page.getCurrent();
					page.setLocation("/error.html");
					e.printStackTrace();
				}
			}
		});

		layout.addComponent(username);
		layout.addComponent(password);
		
		layout.addComponent(login);
		setContent(layout);
	}
}
