package be.authtest.vaadin.ui;

import java.util.LinkedList;
import java.util.List;

import com.vaadin.v7.data.Item;
import com.vaadin.v7.data.fieldgroup.BeanFieldGroup;
import com.vaadin.v7.ui.AbstractSelect.ItemCaptionMode;

import be.authtest.vaadin.ejb.AuthService;
import be.authtest.vaadin.entity.LBSPlayer;

import com.vaadin.ui.Button;
import com.vaadin.ui.FormLayout;
import com.vaadin.v7.ui.HorizontalLayout;
import com.vaadin.v7.ui.ListSelect;
import com.vaadin.v7.ui.TextField;
import com.vaadin.ui.themes.ValoTheme;

public class PlayerForm extends FormLayout {
	private AuthService service;
	private PlayerAdmin parent;
	private TextField email = new TextField("Email");
	private TextField phone = new TextField("Phone");
	private TextField cellPhone = new TextField("Cellphone");
	private TextField address = new TextField("Address");
	private TextField zipCode = new TextField("Zipcode");
	private TextField city = new TextField("City");
	private ListSelect status = new ListSelect("Status");

	private Button update = new Button("Update");
	private Button cancel = new Button("Cancel");
	
	private LBSPlayer player;
	
	// TODO : create enumeration for PLAYER status field 
	public PlayerForm(PlayerAdmin parent, AuthService service) {
		this.parent = parent;
		this.service = service;

		status.addItem(0);
		status.setItemCaption(0, "Disabled");
		status.addItem(1);
		status.setItemCaption(1, "Active");
		status.addItem(2);
		status.setItemCaption(2,"Disabled");
		status.setNullSelectionAllowed(false);
		status.setRows(3);


		// Update button
		this.update.setStyleName(ValoTheme.BUTTON_PRIMARY);
		this.update.addClickListener(e-> {
			System.out.println("Selected : " + status.getValue());
			updatePlayer();
		});
		// Cancel button
		this.cancel.addClickListener(e-> {
			cancel();
		});
		
		setSizeUndefined();
		HorizontalLayout buttons = new HorizontalLayout(update, cancel);
		buttons.setSpacing(true);
		
		addComponents(email, phone, cellPhone, address, zipCode, city, status, buttons);
	}
	
	/**
	 * Bind the fields from Player to this form 
	 * @param player
	 */
	public void setPlayer(LBSPlayer player) {
		this.player = player;
		BeanFieldGroup.bindFieldsUnbuffered(player, this);
		this.email.selectAll();
		setVisible(true);
	}
	
	private void updatePlayer() {
		this.parent.updateList();
		setVisible(false);
	}
	
	private void cancel() {
		this.parent.unselect();
		setVisible(false);
	}
}

